Ubuntu 14.04, 16.04, 16.10, 17.04, Debian 7, 8, 9 Pale Moon repositories

Support and discussions for the x86/x64 Linux version of Pale Moon.

Moderators: trava90, satrow

stevepusser
Lunatic
Lunatic
Posts: 256
Joined: Sat Aug 01, 2015 6:33 pm
Location: California

Re: Ubuntu 14.04, 16.04, 16.10, 17.04, Debian 7, 8, 9 Pale Moon repositories

Postby stevepusser » Sat Oct 21, 2017 12:00 am

Yeah, but I think there's something wrong with the 17.10 build system on the OBS. It fails with

Code: Select all

[ 1223s] /usr/src/packages/BUILD/intl/icu/source/i18n/digitlst.cpp:67:24: fatal error: xlocale.h: No such file or directory
[ 1223s]  #   include <xlocale.h>
[ 1223s]                         ^
[ 1223s] compilation terminated.


and xlocale.h should be provided by the installed libc6-dev package. I'm going to try and set up an amd64 Ubuntu 17.10 basic build environment via QEMU and pbuilder on my system to see if the same failure happens there. It's much faster and simpler to do that than to go through an whole distro install.

Ubuntu 17.10 users should be fine by using my 17.04 repository in the meantime, though.

stevepusser
Lunatic
Lunatic
Posts: 256
Joined: Sat Aug 01, 2015 6:33 pm
Location: California

Re: Ubuntu 14.04, 16.04, 16.10, 17.04, Debian 7, 8, 9 Pale Moon repositories

Postby stevepusser » Wed Nov 08, 2017 8:33 pm

Adding 27.6.0 to the repository. I'm trying to add the extra compiler vectorization flags for the build to releases that support those. Debian 7 and Ubuntu 16.04 fail right off the bat with those flags, saying those are unsupported, so I added a little switch that gives those releases a configure file without the extra flags. Waiting to see what happens...


Return to “Pale Moon for Linux”

Who is online

Users browsing this forum: No registered users and 6 guests